UbixOS V2 2.0

Functions
8259.c File Reference
`#include <isa/8259.h>`
`#include <sys/io.h>`
`#include <lib/kprintf.h>`
Include dependency graph for 8259.c:

Go to the source code of this file.

## Functions
int | i8259_init ()
| initialize the 8259 PIC More...
void | irqDisable (uint16_t irqNo)
void | irqDisable_old (u_int16_t irqNo)
| disable specified IRQ More...
void | irqEnable (uint16_t irqNo)
void | irqEnable_old (u_int16_t irqNo)
| enable specified IRQ More...

## Function Documentation

## ◆ i8259_init()

int i8259_init | ( |  | ) |

initialize the 8259 PIC

This will initialize both PICs for all of our IRQs

Definition at line 41 of file 8259.c.

References icw1, icw4, kprintf(), mImr, mPic, mVec, outportByte(), sImr, sPic, and sVec.

Here is the call graph for this function:

## ◆ irqDisable()

void irqDisable | ( | uint16_t | irqNo | ) |

Definition at line 104 of file 8259.c.

References inportByte(), mImr, outportByte(), and sImr.

Here is the call graph for this function:

## ◆ irqDisable_old()

void irqDisable_old | ( | u_int16_t | irqNo | ) |

disable specified IRQ

Parameters

  irqNo | IRQ to disable

Definition at line 95 of file 8259.c.

## ◆ irqEnable()

void irqEnable | ( | uint16_t | irqNo | ) |

Definition at line 75 of file 8259.c.

References inportByte(), mImr, outportByte(), and sImr.

Here is the call graph for this function:

## ◆ irqEnable_old()

void irqEnable_old | ( | u_int16_t | irqNo | ) |

enable specified IRQ

Parameters

  irqNo | IRQ to enable

Definition at line 66 of file 8259.c.